71 Commits (master)
 

Author SHA1 Message Date
touti edf4d4a614 eviter le warning en restant compatible SPIP3 et PHP<8 #11 2 weeks ago
Cerdic 147a2c01cb eviter un warning et compat SPIP 4.1 5 months ago
RastaPopoulos 85dba29ff0 Coquille ! (personne a jamais utilisé cette fonctionnalité on dirait 5 months ago
RastaPopoulos 9e045a8950 Fix #8 le warning, sur des pipelines chelou comme copie_locale qui n'ont aucun rapport avec un objet éditorial (wtf le mélange sans rapport) 6 months ago
touti 6c7c2440fc Éviter les notices en prenant le tableau args tel qu'il est 7 months ago
touti 9f309ad68c Merge pull request 'un return $flux pas spécialement nécessaire mais correct' (#5) from touti-patch-1 into master 7 months ago
touti d63d45aca3 un return $flux pas spécialement nécessaire mais correct 7 months ago
Touti dc0c0172fb Éviter une notice 7 months ago
Matthieu Marcillaud bb1865d56b Suppression du .gitattributes inutile 7 months ago
Matthieu Marcillaud 987694dbce Fichiers en fins de ligne LF 7 months ago
touti 3cee8e7fad coquille double $$ qui generait une notice 9 months ago
erational 50044bf1f1 [ui] icone SVG 1 year ago
RastaPopoulos b7b0183ec4 Amélioration (très) notable du multilinguisme dans les Notifications ! Désormais on change toujours dynamiquement la langue générale d'exécution durant la génération de toute notif afin de ne JAMAIS se baser sur la langue en cours du hit PHP, qui peut être absolument n'importe quoi puisqu'on est dans un job, donc de l'arabe, du chinois, etc suivant le visiteur du moment, alors qu'on envoie une notif à un hispanophone ou un japonais. Donc la langue spécifique de la notif doit toujours être : 1) soit la langue forcée dans les options 2) soit la langue de l'utilisateur SPIP en base 3) si tout vide, au moins explicitement la langue principale par défaut du SPIP (ce que n'est pas forcément du tout la langue du hit en cours !). On remet bien sûr la langue du hit à la toute fin de l'envoi. Et tout ça on le fait au tout tout début, donc aussi pour les notifs dont le contenu est généré en PHP, pas juste pour les squelettes. 1 year ago
RastaPopoulos 24c1d69c90 Oops, cohérence entre les noms de variable. 1 year ago
RastaPopoulos 7cb8143244 En attendant que le noyau fasse ça plus proprement et uniformément, on ajoute dans ce plugin des appels normés à des notifications pour chaque insertion et modification et institution. Et version en dev plutôt. 1 year ago
RastaPopoulos 266c7d6bdf Les autorisations à la racine 1 year ago
RastaPopoulos 7fd5add8f5 Fin de PHP 1 year ago
RastaPopoulos afd058f24c Installation avec la fonction actuelle 1 year ago
RastaPopoulos cbeb229260 On déplace l'installation à la racine comme normé 1 year ago
RastaPopoulos 1a28403d3b Pas besoin de ça en SPIP 3 1 year ago
RastaPopoulos 51e5338e32 Le master passe en 1.0.0 stable, et on vire le plugin.xml, et la compat passe en 3.2 minimum, à voir si au final on passerait en 4 minimum carrément, ça dépend des modifs envisagées, mais de toute façon pas de tag pour l'instant sur cette branche. 1 year ago
Maïeul e386a2e662 Saisies: datas->data 2 years ago
Charles Razack f7d1e43ed3 up z plugin.xml aussi 2 years ago
Charles Razack c826732dfd Up de z 2 years ago
tcharlss cfa90d7723 Merge pull request 'Utiliser de préférence la langue du destinataire' (#2) from issue_1 into master 2 years ago
Charles Razack f3ee10569d Utiliser de préférence la langue du destinataire 3 years ago
spip.franck@lien-d-amis.net d80093f646 Changement de la version de "saisie" sauf sur les branches suite à discutions https://zone.spip.net/trac/spip-zone/changeset/116243/spip-zone :) 3 years ago
toutati@free.fr aa223e42d5 installation standard avec include des fonctions dans notifavancees_administrations.php 3 years ago
cedric@yterium.com 8203bfca37 svn merge -r116113:116112 . sur _plugins_ pour revert r116113 apres discussion avec Franckie 3 years ago
spip.franck@lien-d-amis.net 1e8e9f7cac Ne devrait pas y avoir de problème car il n'y avait pas de borne max, et comme ça, nous sommes sûr que les gens auront une version secu 3 years ago
spip.franck@lien-d-amis.net ae7d483bfe être certain que les plug ont une version de saisies "sûr", normalement, cela devrait être bon, car aucun n'avait de borne max concernant saisies 3 years ago
jack@jack31.net 81b32cbdb4 Pour essayer de régler les problèmes d'install de notifications_avancées, un coup de plugonet ! Pour l'instant je laisse le plugin.xml, on le supprimera si tout va bien 4 years ago
spip.franck@lien-d-amis.net 511fa6d19c Pendant que j'y suis, je monte les necessite aux version compatible spip 3.0 4 years ago
spip.franck@lien-d-amis.net 83c451b249 Ne devait plus fonctionner en spip 2.1 depuis https://zone.spip.net/trac/spip-zone/changeset/92848/spip-zone car https://zone.spip.net/trac/spip-zone/browser/spip-zone/_plugins_/facteur/trunk/paquet.xml?rev=86690#L6 4 years ago
spip.franck@lien-d-amis.net a4f5d86d94 - Je monte la version de saisie (en gardant la même branche pour réduire le risque de casse) pour être certain que si un jour, un commit qui concerne l'un des plug et saisie, que la version de saisies soit une version sûr ! 4 years ago
spip.franck@lien-d-amis.net 09b085113b - Suite à un problème de sécu concernant facteur, je monte la version mini des necessites pour réduire le risque que les gens aient une version de facteur à risque. 5 years ago
rastapopoulos@spip.org 7d4fd82dfa Vu que c'est tous les mêmes clés, aucun intérêt de mapper un par un, autant balancer le même tableau. Ce qui permet d'ajouter d'autres infos reconnues par facteur comme les pièces jointes, etc. (Rainer) 5 years ago
bystrano@gmx.ch f6bf8b8e9c Pour les notifications par email, on permet de spécifier une ou plusieurs adresses reply-to 5 years ago
bystrano@gmx.ch cd307fa369 un brin de PSR SPIP et suppression d'espaces 5 years ago
spip.franck@lien-d-amis.net e2abf9fcdc Je monte la version de yaml à la dernière, comme ça, je suis sûr que les gens n'aurons pas de risque d'avoir ce problème résolut à l'époque https://zone.spip.org/trac/spip-zone/browser/_plugins_/yaml/paquet.xml?rev=74084 5 years ago
nicolas.dorigny@gmail.com 762ff83503 Compatible 3.2 5 years ago
spip.franck@lien-d-amis.net e2713e5fcc Contrib est en https, donc j'ajoute le "s", plus divers broutilles 6 years ago
spip.franck@lien-d-amis.net a3fa31b17d Nouveau problème de sécu dans facteur à cause de PHPMailer 6 years ago
spip.franck@lien-d-amis.net b6a4c9c20e Logiquement, il y a peu de chance qu'une personne ne mette pas à jour facteur alors qu'elle mettrait les plugins le nécessitant, mais ainsi, cela réduit encore un peu plus le fait que des gens aient une version de facteur avec un problème de sécu ! 6 years ago
bystrano@gmx.ch f015c02411 utiliser les balises #BOITE_* plutôt que de mettre les balises html à la main 7 years ago
bystrano@gmx.ch 9d16ffbfce coquilles… 7 years ago
nicolas.dorigny@gmail.com a8743c5610 Compatible 3.1 7 years ago
rastapopoulos@spip.org 64a694d3b9 Bon allez, ce plugin travaille vraiment avec des emails, donc on nécessite Facteur ça parait logique (même s'il sait aussi travailler avec d'autres modes d'envoi). Et ça permettra à toutes les notifs d'appeler l'échafaudage HTML du Facteur au passage : #FILTRE{facteur_email_wrap_to_html} 7 years ago
bystrano@gmx.ch e414a2fd85 tout ça mérite un up de y. 7 years ago
bystrano@gmx.ch 71e1b77eda permettre de sélectionner un id_objet dans le formulaire d'abonnement 7 years ago